<?php

/**
 * @file
 * Provides Rules module support for spending giftcards.
 */

/*
 * Implements hook_rules_action_info().
 */
function commerce_gc_rules_action_info() {  
  $actions['commerce_gc_record_transactions'] = array(
    'label' => t('Record order giftcard transactions'),
    'parameter' => array(
      'commerce_order' => array(
        'type' => 'commerce_order',
        'label' => t('Order'),
        'wrapped' => TRUE
      )
    )
  );  
  
  return $actions;
}

/*
 * Rules action callback: record giftcard transactions on an order
 */
function commerce_gc_record_transactions(EntityDrupalWrapper $order_wrapper) {
  foreach ($order_wrapper->commerce_line_items as $line_item_wrapper) {
    if ($line_item_wrapper->type->value() == 'giftcard_use') {
      // Record a transaction with amount equal to the unit price of the coupon.
      $amount = $line_item_wrapper->commerce_unit_price->amount->value();
      $coupon = $line_item_wrapper->commerce_giftcard->value();
      
      if ($coupon && $amount) {
        commerce_gc_transaction_write($coupon->coupon_id, $amount);
      }
    }
  }
}
