<?php

/**
 * @file
 * Giftcard transaction controller class.
 */

class CommerceGCTransactionEntityController extends DrupalCommerceEntityController {
  public $amount;
  
  public $transaction_id;
  
  public $coupon_id;
  
  public $status;
  
  public $date;
  

  /**
   * Create a default transaction.
   *
   * @param array $values
   *   An array of values to set, keyed by property name.
   * @return
   *   A product object with all default fields initialized.
   */
  public function create(array $values = array()) {
    $values += array(
      'coupon_id' => '',
      'transaction_id' => '',
      'amount' => 0,
      'date' => '',
      'status' => 'completed'
    );

    return parent::create($values);
  }

  /**
   * Saves a transaction with a created date if it is new.
   *
   * @param $commerce_coupon
   *   The full coupon object to save.
   * @param $transaction
   *   An optional transaction object.
   *
   * @return
   *   SAVED_NEW or SAVED_UPDATED depending on the operation performed.
   */
  public function save($entity, DatabaseTransaction $transaction = NULL) {

    if (empty($entity->{$this->idKey}) || !empty($entity->is_new)) {
      // Set the creation timestamp if not set, for new entities.
      if (empty($entity->date)) {
        $entity->date = REQUEST_TIME;
      }
    }

    return parent::save($entity);
  }  
}